Index: TOOLS/CPLRESTART/nemo.py
===================================================================
--- TOOLS/CPLRESTART/nemo.py	(revision 3741)
+++ TOOLS/CPLRESTART/nemo.py	(revision 6669)
@@ -96,2 +2554,45 @@
 ##
 ## ===========================================================================
+
+# def __is_orca_north_fold__ ( Xtest, cname_long='T' ) :
+#     '''
+#     Ported (pirated !!?) from Sosie
+
+#     Tell if there is a 2/point band overlaping folding at the north pole typical of the ORCA grid
+
+#     0 => not an orca grid (or unknown one)
+#     4 => North fold T-point pivot (ex: ORCA2)
+#     6 => North fold F-point pivot (ex: ORCA1)
+
+#     We need all this 'cname_long' stuff because with our method, there is a
+#     confusion between "Grid_U with T-fold" and "Grid_V with F-fold"
+#     => so knowing the name of the longitude array (as in namelist, and hence as
+#     in netcdf file) might help taking the righ decision !!! UGLY!!!
+#     => not implemented yet
+#     '''
+
+#     ifld_nord =  0 ; cgrd_type = 'X'
+#     ny, nx = Xtest.shape[-2:]
+
+#     if ny > 3 : # (case if called with a 1D array, ignoring...)
+#         if ( Xtest [ny-1, 1:nx//2-1] - Xtest [ny-3, nx-1:nx-nx//2+1:-1] ).sum() == 0. :
+#           ifld_nord = 4 ; cgrd_type = 'T' # T-pivot, grid_T
+
+#         if ( Xtest [ny-1, 1:nx//2-1] - Xtest [ny-3, nx-2:nx-nx//2  :-1] ).sum() == 0. :
+#             if cnlon == 'U' : ifld_nord = 4 ;  cgrd_type = 'U' # T-pivot, grid_T
+#                 ## LOLO: PROBLEM == 6, V !!!
+
+#         if ( Xtest [ny-1, 1:nx//2-1] - Xtest [ny-3, nx-1:nx-nx//2+1:-1] ).sum() == 0. :
+#             ifld_nord = 4 ; cgrd_type = 'V' # T-pivot, grid_V
+
+#         if ( Xtest [ny-1, 1:nx//2-1] - Xtest [ny-2, nx-1-1:nx-nx//2:-1] ).sum() == 0. :
+#             ifld_nord = 6 ; cgrd_type = 'T'# F-pivot, grid_T
+
+#         if ( Xtest [ny-1, 1:nx//2-1] - Xtest [ny-1, nx-1:nx-nx//2-1:-1] ).sum() == 0. :
+#             ifld_nord = 6 ;  cgrd_type = 'U' # F-pivot, grid_U
+
+#         if ( Xtest [ny-1, 1:nx//2-1] - Xtest [ny-3, nx-2:nx-nx//2  :-1] ).sum() == 0. :
+#             if cnlon == 'V' : ifld_nord = 6 ; cgrd_type = 'V' # F-pivot, grid_V
+#                 ## LOLO: PROBLEM == 4, U !!!
+
+#     return ifld_nord, cgrd_type
